public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Mojolicious-Plugin-Database/
Date: Sun, 10 Feb 2013 12:18:51 +0000 (UTC)	[thread overview]
Message-ID: <1360498586.4855895130851e206e8007704ce3ad81320f68fa.kent@gentoo> (raw)

commit:     4855895130851e206e8007704ce3ad81320f68fa
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Sun Feb 10 12:16:26 2013 +0000
Commit:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Sun Feb 10 12:16:26 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=48558951

[newversion] Mojolicious-Plugin-Database-1.80.0

Package-Manager: portage-2.2.0_alpha141
Manifest-Sign-Key: ECD2C675C102CDA4

---
 dev-perl/Mojolicious-Plugin-Database/ChangeLog     |    8 +++-
 .../Mojolicious-Plugin-Database-1.80.0.ebuild      |   50 ++++++++++++++++++++
 2 files changed, 57 insertions(+), 1 deletions(-)

diff --git a/dev-perl/Mojolicious-Plugin-Database/ChangeLog b/dev-perl/Mojolicious-Plugin-Database/ChangeLog
index 3ca8ceb..37d0ce3 100644
--- a/dev-perl/Mojolicious-Plugin-Database/ChangeLog
+++ b/dev-perl/Mojolicious-Plugin-Database/ChangeLog
@@ -1,7 +1,13 @@
 # ChangeLog for dev-perl/Mojolicious-Plugin-Database
-# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*Mojolicious-Plugin-Database-1.80.0 (10 Feb 2013)
+
+  10 Feb 2013; Kent Fredric <kentfredric@gmail.com>
+  +Mojolicious-Plugin-Database-1.80.0.ebuild:
+  Version Bump
+
 *Mojolicious-Plugin-Database-1.70.0 (17 Sep 2012)
 
   17 Sep 2012; Kent Fredric <kentfredric@gmail.com>

diff --git a/dev-perl/Mojolicious-Plugin-Database/Mojolicious-Plugin-Database-1.80.0.ebuild b/dev-perl/Mojolicious-Plugin-Database/Mojolicious-Plugin-Database-1.80.0.ebuild
new file mode 100644
index 0000000..638863e
--- /dev/null
+++ b/dev-perl/Mojolicious-Plugin-Database/Mojolicious-Plugin-Database-1.80.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=5
+MODULE_AUTHOR=MADCAT
+MODULE_VERSION=1.08
+inherit perl-module
+
+DESCRIPTION='"proper" handling of DBI based connections in Mojolicious'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+perl_meta_configure() {
+	# ExtUtils::MakeMaker 6.30 ( 6.300.0 )
+	echo \>=virtual/perl-ExtUtils-MakeMaker-6.30
+}
+perl_meta_runtime() {
+	# DBI
+	echo dev-perl/DBI
+	# Mojo::Base
+	echo dev-perl/Mojolicious
+	# strict
+	echo dev-lang/perl
+	# warnings
+	echo dev-lang/perl
+}
+perl_meta_test() {
+	# DBD::SQLite
+	echo dev-perl/DBD-SQLite
+	# File::Temp
+	echo virtual/perl-File-Temp
+	# Mojolicious::Lite
+	echo dev-perl/Mojolicious
+	# Test::Mojo
+	echo dev-perl/Mojolicious
+	# Test::More
+	echo virtual/perl-Test-Simple
+	# Try::Tiny
+	echo dev-perl/Try-Tiny
+}
+DEPEND="
+	$(perl_meta_configure)
+	$(perl_meta_runtime)
+	test? ( $(perl_meta_test) )
+"
+RDEPEND="
+	$(perl_meta_runtime)
+"
+SRC_TEST="do"


             reply	other threads:[~2013-02-10 12:19 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-02-10 12:18 Kent Fredric [this message]
  -- strict thread matches above, loose matches on Subject: below --
2012-09-17 10:30 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Mojolicious-Plugin-Database/ Kent Fredric
2012-08-08 10:32 Kent Fredric
2012-02-28 10:02 Kent Fredric

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1360498586.4855895130851e206e8007704ce3ad81320f68fa.kent@gentoo \
    --to=kentfredric@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox